eclipse integration
Status: Closed Start date: 07/01/2012
Priority: High Due date:

Assignee: % Done: 0%
Category: Estimated time: 0.00 hour
Target version:

Description

i download beep source .

i run the command $SDK_DIR/tools/android update project -t android-7 -p $BEEM_DIRECTORY

create project from eclicpse using create project from source .

But src folder was no import. So manually i import src folder into project . But aidl was not import . give error of certain import missing
like com.beem.project.beem.service.aidl.IXmppFacade;

History

#1 - 07/08/2012 06:29 PM - Mark Rejhon

Did you have everything installed, including the Android asmack XMPP library?
http://beem-project.com/projects/beem/files

#2 - 07/10/2012 02:01 PM - Nikita Kozlov

Anonymous wrote:
i download beep source .
i run the command $SDK_DIR/tools/android update project -t android-7 -p $BEEM_DIRECTORY
create project from eclicpse using create project from source .

But src folder was no import. So manually i import src folder into project . But aidl was not import . give error of certain import missing like
com.beem.project.beem.service.aidl.IXmppFacade;

Hello,

You have "a lot" of links about how to create an eclipse's project from sources, google "android eclipse creating project from existing sources".

Then after creating it, like Mark said, you must manually import libs from the libs/ directory into your project. And that's all, it's done, you may compile
and install beem.

If you still have errors, check the version of the java which is used by eclipse (must be 1.6 and not 1.5) or your android/eclipse installation.

#3 - 10/09/2012 12:17 AM - Frédéric Barthéléry

- Status changed from New to Resolved

#4 - 10/30/2012 12:06 AM - Frédéric Barthéléry

- Status changed from Resolved to Closed
